Parrot 5.0 error while installing

– Please Write here your help request –
I am trying to install parrot 5.0 on my desktop PC and while running the installer i get the error shown in the Screenshot seen down below. I get this error everytime i try to install Parrot 5.0. I have flashed my USB-Stick two times now. I was running parrot 4.11 without any problems

PC Specs:

Ryzen 3600
GeForce RTX 2070 Super
Aourus B550 Pro AC
16 GB DDR4
500 GB NVME for Parrot

  • ParrotOS iso in use:
    Parrot OS 5.0 Security Edition

  • Application used for flashing the iso:
    balenaEtcher

  • Screenshots:

This is my generic answer to this type of install problem
why does Linux fail to install,
1] corrupted download of the ISO
2] Bad burn of the ISO to the installation medium
and
3]Over this last year [on another forum] we have had several cases where the installation medium [pen drive] was causing the problem, and was resolved by the members using a good quality [branded] pen-drive cleaned and re-formatted FATS before making the burn of the ISO